Bug 1413398 - Software Center ignores excludes
Summary: Software Center ignores excludes
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 18:30 UTC by Dominik Gronkiewicz
Modified: 2017-12-12 10:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:56:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Dominik Gronkiewicz 2017-01-15 18:30:05 UTC
I use a custom kernel and I don't want it to be erased during system updates. I can exclude the kernel package by editing /etc/yum.repos.d/fedora.repo and updates.repo files and adding the line:

exclude=kernel* perf python-perf

to each section of the file. This setting is respected by both DNF and PackageKit and my custom kernel is preserved during updates. 

Unfortunately, Gnome Software Center ignores this (I thought it was using PackageKit?). I could use either dnf or packagekit cli, however offline updates are the recommended way of updating, according to Fedora developers, due to some critical system damage that updating by CLI can cause. And, I think that the Gnome Software updates are such a wonderful tool, it's really shame that I'm forced to use old fashioned tools instead of one click update.

This is a frustrating inconsistency, since on one hand as a workaround to another bug I'm told to use a custom kernel, but on the other hand the recommended tool for updating makes it impossible to do so. Please fix this bug and make Software Center great again! :)

g.

Comment 1 Fedora End Of Life 2017-11-16 18:52:54 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:56:11 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.